/// IMPORTING THIRD PARTY PACKAGES
import 'package:flutter/material.dart';

/// Component to rendering a row with element at the extreme positions
class ZwapSeparatedRow extends StatelessWidget{

  /// Widget at the left side
  final Widget leftWidget;

  /// Widget at the right side
  final Widget rightWidget;

  ZwapSeparatedRow({Key? key,
    required this.leftWidget,
    required this.rightWidget
  }): super(key: key);

  Widget build(BuildContext context){
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Flexible(
          child: leftWidget,
          flex: 0,
          fit: FlexFit.tight,
        ),
        Flexible(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.end,
            children: [
              Flexible(
                flex: 0,
                fit: FlexFit.tight,
                child: this.rightWidget,
              )
            ],
          ),
        )
      ],
    );
  }

}